#include <oxstd.oxh>
#include <oxdraw.oxh>
#include <oxprob.oxh>
#include <oxfloat.oxh>

#include "Misc.ox"

main() {
	decl data = new array[4];
	for(decl i = 1; i <= 4; i++) {
		data[i-1] = loadmat("Table3-" ~ sprint(i) ~ ".mat");
	}

	decl table = <>;
	for(decl i = 0; i < 4; i++) {
		// median RMSE calculations
		decl GASmedians = reshape(quantilec(data[i][][0:7], 0.5), 4, 2);
		decl GARCHmedians = reshape(quantilec(data[i][][9:16], 0.5), 4, 2);
		decl combinedmedians = GASmedians ~ GARCHmedians;
		combinedmedians ./= combinedmedians[0][0];
		// p-values
		decl pvalues = zeros(4, 2);
		for(decl j = 0; j < 3; j++) {
			for(decl k = 0; k < 2; k++) {
				pvalues[j][k] = SignTest(data[i][][(2*j) + k], data[i][][9 + (2*j) + k]);
			}
		}
		// combine
		table |= combinedmedians ~ pvalues;
	}
	savemat("Table3Results.xlsx", table);
}