#include <oxstd.oxh>
#include <oxdraw.oxh>
#include <oxprob.oxh>
#include <oxfloat.oxh>
#import <maximize>

#include "Misc.ox"

main() {
	decl data = new array[4];
	for(decl i = 1; i <= 4; i++) {
		data[i-1] = loadmat("Table1-" ~ sprint(i) ~ ".mat");
	}

	decl table = <>;

	for(decl i = 0; i < 4; i++) {
		decl parpart = <>;
		decl volpart = <>;
		// compile data
		for(decl j = 0; j < 5; j++) {
			parpart |= sqrt(meanc(sqr(data[i][][6*j : 6*j + 3])));
			volpart |= quantilec(data[i][][6*j + 4 : 6*j + 5], 0.5);
		}
		// normalize
		for(decl j = 0; j < 4; j++) {
			parpart[][j] ./= parpart[1][j];
		}
		volpart ./= volpart[1][0];
		table |= parpart ~ volpart;
	}
	
	savemat("Table1Results.xlsx", table);
}